<?php
require('class.littledb.php');

$db = LittleDB::get_instance('localhost', 'root', '', 'chat', '', 'ldb_log', 'ldb_error');


/**
 * Consulta simplificada (usar $db->query para realizar consultas directas y/o complejas)
 * $db(TABLA, CAMPOS, CONDICIONANTE, LMITE);
 * o
 * $db->select();
 * retorna un arreglo asosiativo 'campo' => 'valor'
 */
$id = 1;
$query = $db('SELECT * FROM users WHERE id = ? ', $id);

// Obtener datos de una consulta previa (Unicamente si en $query no se retornaron datos)
echo 'json + fetch() = '.json_encode($query->fetch()).'<br />';

// Obtener la cantidad de Tablas afectadas por $query
echo '$query->numrows = '.$query->numrows.'<br />';

// Insert
// $db->insert(TABLA, COLUMNAS_Y_VALORES, CONDICIONANTES);
$insert = $db->insert('users', array('nick' => 'Roodakazo', 'pass' => 'asd')));

// Update
// $db->update(TABLA, COLUMNAS_Y_VALORES, CONDICIONANTES);
echo 'Nro de filas afectadas por el update: '.$db->update('users', array('nick' => 'Alberto'), array('id' => $insert));

echo $db;